pappso::SavGolParams Struct Reference

Parameters for the Savitzky-Golay filter. More...

`#include <savgolfilter.h>`

## Public Member Functions

| SavGolParams ()
| SavGolParams (const SavGolParams &other)
| SavGolParams (int nLParam, int nRParam, int mParam, int lDParam, bool convolveWithNrParam)
void | initialize (int nLParam, int nRParam, int mParam, int lDParam, bool convolveWithNrParam)
void | initialize (const SavGolParams &other)
QString | toString () const

## Public Attributes

int | nL = 15
| number of data points on the left of the filtered point More...
int | nR = 15
| number of data points on the right of the filtered point More...
int | m = 4
int | lD = 0
bool | convolveWithNr = false
| set to false for best results More...

## Detailed Description

Parameters for the Savitzky-Golay filter.

Definition at line 49 of file savgolfilter.h.

## Constructor & Destructor Documentation

## SavGolParams() [1/3]

pappso::SavGolParams::SavGolParams | ( |  | ) |

inline

Definition at line 64 of file savgolfilter.h.

{};

## SavGolParams() [2/3]

pappso::SavGolParams::SavGolParams | ( | const SavGolParams & | other | ) |

inline

Definition at line 66 of file savgolfilter.h.

: nL{other.nL},
nR{other.nR},
m{other.m},
lD{other.lD},
convolveWithNr{other.convolveWithNr}
{
}
pappso::SavGolParams::lD
int lD
Definition: savgolfilter.h:58
pappso::SavGolParams::m
int m
Definition: savgolfilter.h:55
pappso::SavGolParams::nR
int nR
number of data points on the right of the filtered point
Definition: savgolfilter.h:53
pappso::SavGolParams::nL
int nL
number of data points on the left of the filtered point
Definition: savgolfilter.h:51
pappso::SavGolParams::convolveWithNr
bool convolveWithNr
set to false for best results
Definition: savgolfilter.h:61

## SavGolParams() [3/3]

pappso::SavGolParams::SavGolParams | ( | int | nLParam,
|  | int | nRParam,
|  | int | mParam,
|  | int | lDParam,
|  | bool | convolveWithNrParam
| ) |  |

inline

Definition at line 75 of file savgolfilter.h.

{
nL = nLParam;
nR = nRParam;
m = mParam;
lD = lDParam;
convolveWithNr = convolveWithNrParam;
}

## Member Function Documentation

## initialize() [1/2]

void pappso::SavGolParams::initialize | ( | const SavGolParams & | other | ) |

inline

Definition at line 97 of file savgolfilter.h.

{
nL = other.nL;
nR = other.nR;
m = other.m;
lD = other.lD;
convolveWithNr = other.convolveWithNr;
}

References convolveWithNr, lD, m, nL, and nR.

## initialize() [2/2]

void pappso::SavGolParams::initialize | ( | int | nLParam,
|  | int | nRParam,
|  | int | mParam,
|  | int | lDParam,
|  | bool | convolveWithNrParam
| ) |  |

inline

Definition at line 86 of file savgolfilter.h.

{
nL = nLParam;
nR = nRParam;
m = mParam;
lD = lDParam;
convolveWithNr = convolveWithNrParam;
}

## toString()

QString pappso::SavGolParams::toString | ( |  | ) | const

inline

Definition at line 107 of file savgolfilter.h.

{
return QString("%1;%2;%3;%4;%5")
.arg(QString::number(nL))
.arg(QString::number(nR))
.arg(QString::number(m))
.arg(QString::number(lD))
.arg(convolveWithNr ? "true" : "false");
}

Referenced by pappso::FilterSavitzkyGolay::toString().

## Member Data Documentation

## convolveWithNr

bool pappso::SavGolParams::convolveWithNr = false

set to false for best results

Definition at line 61 of file savgolfilter.h.

Referenced by pappso::FilterSavitzkyGolay::FilterSavitzkyGolay(), pappso::FilterSavitzkyGolay::buildFilterFromString(), pappso::FilterSavitzkyGolay::filter(), pappso::FilterSavitzkyGolay::getParameters(), initialize(), and pappso::FilterSavitzkyGolay::operator=().

## lD

int pappso::SavGolParams::lD = 0

specifies the order of the derivative to extract from the Savitzky-Golay smoothing algorithm (for regular smoothing, use 0)

Definition at line 58 of file savgolfilter.h.

Referenced by pappso::FilterSavitzkyGolay::FilterSavitzkyGolay(), pappso::FilterSavitzkyGolay::buildFilterFromString(), pappso::FilterSavitzkyGolay::getParameters(), initialize(), pappso::FilterSavitzkyGolay::operator=(), and pappso::FilterSavitzkyGolay::runFilter().

## m

int pappso::SavGolParams::m = 4

order of the polynomial to use in the regression analysis leading to the Savitzky-Golay coefficients (typically between 2 and 6)

Definition at line 55 of file savgolfilter.h.

Referenced by pappso::FilterSavitzkyGolay::FilterSavitzkyGolay(), pappso::FilterSavitzkyGolay::buildFilterFromString(), pappso::FilterSavitzkyGolay::getParameters(), initialize(), pappso::FilterSavitzkyGolay::operator=(), and pappso::FilterSavitzkyGolay::runFilter().

## nL

int pappso::SavGolParams::nL = 15

number of data points on the left of the filtered point

Definition at line 51 of file savgolfilter.h.

Referenced by pappso::FilterSavitzkyGolay::FilterSavitzkyGolay(), pappso::FilterSavitzkyGolay::buildFilterFromString(), pappso::FilterSavitzkyGolay::getParameters(), initialize(), pappso::FilterSavitzkyGolay::operator=(), and pappso::FilterSavitzkyGolay::runFilter().

## nR

int pappso::SavGolParams::nR = 15

number of data points on the right of the filtered point

Definition at line 53 of file savgolfilter.h.

Referenced by pappso::FilterSavitzkyGolay::FilterSavitzkyGolay(), pappso::FilterSavitzkyGolay::buildFilterFromString(), pappso::FilterSavitzkyGolay::getParameters(), initialize(), pappso::FilterSavitzkyGolay::operator=(), and pappso::FilterSavitzkyGolay::runFilter().

The documentation for this struct was generated from the following file:

- pappsomspp/processing/filters/savgolfilter.h